MCP Tools Reference: homedevelopers.googleapis.com

Tool: fetch_user_feedback_sample_issues

Fetches sample issues reported by user feedback without verbose log details.

The following code sample shows how to use curl to call the fetch_user_feedback_sample_issues MCP tool.

Curl Request
curl --location 'https://homedevelopers.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "fetch_user_feedback_sample_issues",
    "arguments": {
      // Provide these details according to the MCP tool specification.
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

Request message for HomeKnowledge.FetchUserFeedbackSampleIssues.

FetchUserFeedbackSampleIssuesRequest

JSON representation
{
  "agentId": string,
  "symptom": enum (SymptomType),
  "firstDate": string,
  "lastDate": string,
  "pageSize": integer,
  "skip": integer
}
Fields
agentId

string

Required. Unique identifier of the agent/partner.

symptom

enum (SymptomType)

Optional. Filter results by specific symptom/issue type.

firstDate

string

Optional. Starting calendar day in "YYYY-MM-DD" format (UTC). Filters for issues occurring on or after this date.

lastDate

string

Optional. Ending calendar day in "YYYY-MM-DD" format (UTC). INCLUSIVE: Filters for issues occurring on or before this calendar date.

pageSize

integer

Optional. Maximum number of items to return in a single response. Defaults to 50 if not specified. The maximum allowed page size is 1000.

skip

integer

Optional. Number of records to skip from the beginning of the result set. Useful for pagination (e.g., skip = page_size * page_number).

SymptomType

Symptom types for sample issues.

Enums
SYMPTOM_TYPE_UNSPECIFIED Default symptom type when unspecified.
SYMPTOM_TYPE_GHOST_SUCCESS_STATE_NO_CHANGE Ghost success symptom where device state did not change.
SYMPTOM_TYPE_GHOST_SUCCESS_STATE_MISMATCH Ghost success symptom where device state mismatched.
SYMPTOM_TYPE_OFFLINE_MISMATCH Offline mismatch symptom.
SYMPTOM_TYPE_EXPLICIT_FAILURE Explicit failure symptom.
SYMPTOM_TYPE_E2E_LATENCY End to end latency symptom.

Output Schema

Response message for HomeKnowledge.FetchUserFeedbackSampleIssues.

FetchUserFeedbackSampleIssuesResponse

JSON representation
{
  "userFeedbackSampleIssues": [
    {
      object (UserFeedbackSampleIssue)
    }
  ],
  "totalSize": string
}
Fields
userFeedbackSampleIssues[]

object (UserFeedbackSampleIssue)

Lightweight list of sample issues (logs omitted).

totalSize

string (int64 format)

Total count of matching sample issues across all pages.

UserFeedbackSampleIssue

JSON representation
{
  "sampleId": string,
  "agentDeviceId": string,
  "symptom": enum (SymptomType),
  "createTime": string
}
Fields
sampleId

string

Required. Unique identifier of the sample issue.

agentDeviceId

string

Required. The identifier of the device experiencing the issue.

symptom

enum (SymptomType)

Output only. Type of symptom observed.

createTime

string (Timestamp format)

Output only. The precise physical time the issue was recorded.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

SymptomType

Symptom types for sample issues.

Enums
SYMPTOM_TYPE_UNSPECIFIED Default symptom type when unspecified.
SYMPTOM_TYPE_GHOST_SUCCESS_STATE_NO_CHANGE Ghost success symptom where device state did not change.
SYMPTOM_TYPE_GHOST_SUCCESS_STATE_MISMATCH Ghost success symptom where device state mismatched.
SYMPTOM_TYPE_OFFLINE_MISMATCH Offline mismatch symptom.
SYMPTOM_TYPE_EXPLICIT_FAILURE Explicit failure symptom.
SYMPTOM_TYPE_E2E_LATENCY End to end latency symptom.

Tool Annotations

Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.

Along with the title string, the following boolean hints are defined as follows:

  • readOnlyHint: If true, the tool doesn't modify its environment. Default: false.
  • destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
  • idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
  • openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌